---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp07t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2DB0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5D950, symBinAddr: 0x14210, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5F890, symBinAddr: 0x16150, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5FC80, symBinAddr: 0x16540, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x60C20, symBinAddr: 0x174E0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x60C30, symBinAddr: 0x174F0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x555A0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x555A4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x555A8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x55700, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x557B8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x557BC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x557C0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x557C4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x557C8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x557D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x557E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x557E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x557F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x557F8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x55800, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x55808, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL5depth, symObjAddr: 0x5584C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL9frameLock, symObjAddr: 0x55850, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL11sampleStack, symObjAddr: 0x55860, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x952A, offset: 0x952A, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x59860, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x955C, offset: 0x955C, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x598A0, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x9575, offset: 0x9575, size: 0x8, addend: 0x0, symName: __ZL8waitLock, symObjAddr: 0x598A8, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x958E, offset: 0x958E, size: 0x8, addend: 0x0, symName: __ZL11sampleCount, symObjAddr: 0x5989C, symBinAddr: 0x101EC, symSize: 0x0 }
  - { offsetInCU: 0x95B3, offset: 0x95B3, size: 0x8, addend: 0x0, symName: __ZL11frameBuffer, symObjAddr: 0x598B0, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x95CC, offset: 0x95CC, size: 0x8, addend: 0x0, symName: __ZL10frameCount, symObjAddr: 0x5D8B0, symBinAddr: 0x14200, symSize: 0x0 }
  - { offsetInCU: 0x961E, offset: 0x961E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1A50, symSize: 0x80 }
  - { offsetInCU: 0x96B3, offset: 0x96B3, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x19A0, symSize: 0xB0 }
  - { offsetInCU: 0x970E, offset: 0x970E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x18A0, symSize: 0x100 }
  - { offsetInCU: 0x99A1, offset: 0x99A1, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1AD0, symSize: 0xC0 }
  - { offsetInCU: 0x99F3, offset: 0x99F3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1B90, symSize: 0x220 }
  - { offsetInCU: 0x9BD8, offset: 0x9BD8, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1DB0, symSize: 0xA0 }
  - { offsetInCU: 0x9C8B, offset: 0x9C8B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1E50, symSize: 0x110 }
  - { offsetInCU: 0x9D81, offset: 0x9D81, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1F60, symSize: 0x150 }
  - { offsetInCU: 0x9EDE, offset: 0x9EDE, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x20B0, symSize: 0x30 }
  - { offsetInCU: 0x9FDF, offset: 0x9FDF, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x20E0, symSize: 0x150 }
  - { offsetInCU: 0xA1D7, offset: 0xA1D7, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2230, symSize: 0x160 }
  - { offsetInCU: 0xA497, offset: 0xA497, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2390, symSize: 0x4A0 }
  - { offsetInCU: 0xA70A, offset: 0xA70A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2830, symSize: 0x1B0 }
  - { offsetInCU: 0xA925, offset: 0xA925, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x29E0, symSize: 0xA0 }
  - { offsetInCU: 0xA9F4, offset: 0xA9F4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2A80, symSize: 0x20 }
  - { offsetInCU: 0xAA2B, offset: 0xAA2B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2AA0, symSize: 0x20 }
  - { offsetInCU: 0xAA62, offset: 0xAA62, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2AC0, symSize: 0x20 }
  - { offsetInCU: 0xAC59, offset: 0xAC59, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2AE0, symSize: 0x1A0 }
  - { offsetInCU: 0xAF75, offset: 0xAF75, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2C80, symSize: 0x130 }
  - { offsetInCU: 0xB125, offset: 0xB125, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3020, symSize: 0x1B0 }
  - { offsetInCU: 0xB414, offset: 0xB414, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x31D0, symSize: 0x80 }
  - { offsetInCU: 0xB4DD, offset: 0xB4DD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3250, symSize: 0x6A0 }
  - { offsetInCU: 0xC072, offset: 0xC072, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xBA30, symBinAddr: 0x5E10, symSize: 0xB0 }
  - { offsetInCU: 0xC0E9, offset: 0xC0E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x38F0, symSize: 0x70 }
  - { offsetInCU: 0xC185, offset: 0xC185, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3960, symSize: 0xA0 }
  - { offsetInCU: 0xC264, offset: 0xC264, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3A00, symSize: 0x40 }
  - { offsetInCU: 0xC35A, offset: 0xC35A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3A40, symSize: 0x2B0 }
  - { offsetInCU: 0xC700, offset: 0xC700, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3CF0, symSize: 0xC0 }
  - { offsetInCU: 0xC846, offset: 0xC846, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3DB0, symSize: 0x10 }
  - { offsetInCU: 0xC908, offset: 0xC908, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3DC0, symSize: 0x220 }
  - { offsetInCU: 0xCC05, offset: 0xCC05, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3FE0, symSize: 0x10 }
  - { offsetInCU: 0xCC62, offset: 0xCC62, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3FF0, symSize: 0x1F0 }
  - { offsetInCU: 0xCEFC, offset: 0xCEFC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x41E0, symSize: 0x10 }
  - { offsetInCU: 0xCF79, offset: 0xCF79, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP07_sp07t001Thread_wrapper, symObjAddr: 0x9E10, symBinAddr: 0x41F0, symSize: 0x4B0 }
  - { offsetInCU: 0xD52D, offset: 0xD52D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_13CallIntMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0xA2C0, symBinAddr: 0x46A0, symSize: 0xB0 }
  - { offsetInCU: 0xD7B2, offset: 0xD7B2, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA370, symBinAddr: 0x4750, symSize: 0x16C0 }
  - { offsetInCU: 0xE823, offset: 0xE823, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBAE0, symBinAddr: 0x5EC0, symSize: 0x36A }
...
